# Interface methods for submodule: BayesianClassifierImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BayesianClassifierImageFilter
class BayesianClassifierImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSmoothingFilter(self, arg0) -> None:
		""""""
		...

	def GetSmoothingFilter(self):
		""""""
		...

	def SetPriors(self, arg0) -> None:
		""""""
		...

	def SetNumberOfSmoothingIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfSmoothingIterations(self) -> int:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

